Kerbal Space Program - Bug #518

Game chrashes when launcing for the second time
04/03/2013 09:23 AM - SBareS

Status: Closed Start date: 04/03/2013
Severity: High % Done: 100%
Assignee:
Category:
Target version:
Version: 0.191 Language: English (US)
Platform: Windows Mod Related: No

Expansion:

Description

What happens: The game does fine on the first launch. However, when | end the flight and start a new flight the game will hang and
a dialogue window will pop up saying the game had crashed.

System specs:

CPU: Intel Core i3-330M

e Memory: 4GB

Graphics card: ATl Mobility Radeon HD 5470

¢ Video driver version: 8.733.2.0 (I can not update to a later version on this system)
OS: Windows 7 SP1, 32-bit

History

#1 - 04/05/2013 05:19 AM - Ted

Okay, this is now the master report for all of the issues pertaining to Second Launch crashes and 32-bit systems, stick all information that you have on
it in here.
It is a known issue, but the cause would be one hard find. The more documentation from folks, the better!

#2 - 04/05/2013 09:55 PM - BelegDraug
- File error.log added

- File output_log.txt added

- File report.ini added

- File error.log added

- File output_log.txt added

- File report.ini added

- Status changed from New to Duplicate
- Target version set to 0.19.1

- % Done changed from 0 to 100

I', having the same trouble, plus that sometimes when I'm assembling any rocket, | hit the "Launch" button and it just exits to Windows without any
clue or message.

I'm uploading a few of mi error logs. | buyed the game via STEAM.-

Someting to note is that before buying the game, | made a lot of play with de DEMO version and never had such a problem. | repeat: NO PROBLEM
WITH DEMO VERSION VIA STEAM.-

My system specs are:

CPU: AMD FX 6100 - Six core Processor @ 3.30Ghz

Memory: 8.00GB

Graphics Card: AMD Radeon HD 7700 - 4855MB RAM

Video driver version: 9.012-121219a-152192C-ATI

OS: windows 7 SP1, 32 bit, modified to accept and make available 8GB of RAM (all my other games, including old ones, works just fine)

#3 - 04/05/2013 10:22 PM - BelegDraug
- File error.log added
- File output_log.txt added
- File report.ini added
- File crash.dmp added

It also happens when with a rocket standing at Launch Pad, you exit to the Base view witheutlifting-eff the rocketyet and try to comeback to the pad.
Same error, same logs.

#4 - 04/05/2013 10:38 PM - FredMSloniker
- File Kerbal Space Program.rar added

I'm having the same issue; it's very easy to replicate. Start KSP, start a new game, go to the vehicle hangar, pick a capsule, immediately go to the
launch pad. Return to the vehicle hangar (either by ending flight or returning to the space port), immediately go to the launch pad again. Bang, crash.
| even tried disabling the Steam overlay, but that didn't help.

Here's a pack of four crash reports!

#5 - 04/06/2013 03:11 AM - Ted

- Status changed from Duplicate to Confirmed
- Target version deleted (0.19.1)

- % Done changed from 100 to 10

Thanks for the added reports etc.
The target version field should be left blank, always and in addition the Duplicate Issue status is for issues that are logged more than once, not ones
that you can confirm. Please read this post for more information.

#6 - 04/09/2013 08:57 AM - BelegDraug

Ted, thanks for your support and I'm very sorry for the inconvenience with my catalogation of this issue. | don't know if this update could help you, but
the game also exits Windows without any warning or error log when | launch a ship, | put it in orbit, | release for EVA one guy and, this is the key, | go
to the Tracking Station screen: | can see both objects orbiting, but when | click on anyone of them it just shut off the game and exits.

Thanks a lot and up the Kerbals! It's a great great game!

#7 - 04/09/2013 10:26 AM - Ted

No problem at all, it's my pleasure.

| would create a new issue report for that crash, complete with the Output_log up until the point that it crashes and any relevant system information
that could be causing it. Make sure you check permission errors and the like as well, you could even open up a Support thread on the Forums to
verify that this issue isn't due to an issue with your system and not KSP.

Let me know what you do. :)

#8 - 05/23/2013 12:56 PM - Ted

So, could everyone who experienced this issue and logged as such please come back and confirm that it is indeed fixed?

#9 - 05/23/2013 01:16 PM - FredMSloniker

It looks good to me! Plus loading in general is much faster. Good job!

#10 - 05/24/2013 10:03 AM - Ted
- Status changed from Confirmed to Ready to Test

- % Done changed from 10 to 100

Excellent, I'll set it to Ready to Test just so a few more people can comment on it before it's closed.

#11 - 05/27/2013 05:26 PM - Ted

- Status changed from Ready to Test to Resolved

With much confidence, | think we can consider this bug slain. Anyone that still encounters it, please contact me.
Marked as Resolved.

#12 - 05/27/2013 05:35 PM - C7

- Status changed from Resolved to Closed

Finally able to close this one. Glad we took the time to optimize the memory.
